// Copyright 2018 Red Hat, Inc
//
// Licensed under the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License. You may obtain
// a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
// WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
// License for the specific language governing permissions and limitations
// under the License.

import React from 'react'
import PropTypes from 'prop-types'


class BuildLine extends React.Component {
  static propTypes = {
    build: PropTypes.object.isRequired
  }

  render () {
    const { build } = this.props
    return (
      <div>
        <i>{build.uuid.slice(0, 7)}</i>
        &nbsp;pipeline <i>{build.pipeline}</i>
        &nbsp;project <i>{build.project}</i>
        &nbsp;from <i>{build.ref}</i>
        &nbsp;at <i>{build.end_time}</i>
      </div>
    )
  }
}

export default BuildLine
